from world import AbstractJob

class ImplementationEngineer(AbstractJob):
    position="Инженер внедрения"
    duties=f"""
        - Установка прикладного ПО компании
        - Настройка серверов и прикладного ПО под требования заказчика
        - Проведение работ по настройке инфраструктуры заказчика для интеграции ПО
        - Аудит работы ПО, идентификация и устранение проблем.
        """

class MiddleImplementationEngineer(ImplementationEngineer):
    position="Старший инженер внедрения"
    duties=f"""
        - Разработка проектной документации
        - Установка прикладного ПО компании
        - Настройка серверов и прикладного ПО под требования заказчика
        - Проведение работ по настройке инфраструктуры заказчика для интеграции ПО в инфраструктуру компании заказчика.
        - Аудит работы ПО, идентификация и устранение проблем.
        - Оптимизация ПО на проектах с высокой нагрузкой.
        - Проведений демонстраций и предварительного обучения сотрудников заказчика функционалу продукта.
        """

class SeniorImplementationEngineer(MiddleImplementationEngineer):
    position="Ведущий инженер внедрения"
    duties=f"""
        - Разработка проектной документации
        - Установка прикладного ПО компании
        - Настройка серверов и прикладного ПО под требования заказчика
        - Разработал несколько встраиваемых утилит для использования в основном продукте.
        - Обучение стажеров
        - Проведение работ по настройке инфраструктуры заказчика для интеграции ПО в инфраструктуру компании заказчика.
        - Разработка дополнительного функционала для модуля анализа и принятия решений на lua
        - Аудит работы ПО, идентификация и устранение проблем.
        - Оптимизация ПО на проектах с высокой нагрузкой.
        - Проведений демонстраций и предварительного обучения сотрудников заказчика функционалу продукта.
        """

class TeamLead(AbstractJob):
    position="Руководитель группы персональной техподдержки"
    duties=f"""
    - Техническое сопровождение клиентов по техническим вопросам продуктов
    - Организация и контроль работы группы персонального технического обслуживания (3-4 человека)
    - Проработка вопросов по автоматизации бизнес-процессов группы (обработка заявок, контроль SLA, подсчет KPI)
    """