from datetime import date,datetime,timedelta

class AbstractCompany:
    def __init__(self,name,description) -> None:
        self.name=name
        self.description=description

    def __repr__(self) -> str:
        return f"{self.name}\n{self.description}"

class AbstractJob:
    def __init__(self,start:str,end:str=None) -> None:
        self.start=datetime.strptime(start, "%m.%Y").date()
        if end:
            self.end=datetime.strptime(end, "%m.%Y").date() 
        else:
            self.end=datetime.now().date()
        self.delta=(datetime.now().date()-self.end)
