from world import AbstractJob

class DevOpsEngineer(AbstractJob):
    position="Devops"
    duties=f"""
    - Обеспечение процесса сборки и тестирования в Gitlab
    - Разработка и сопровождение ansible-плейбуков 
    - Обслуживания proxmox кластера
    - Автоматизация сборки тестовых и прод. образов docker
    - Сопровождение cli инструментов команды(golang) для деплоймента docker контейнеров 
    - Разработка и сопровождение проекта с микросервисной архитектурой для хранения 
    и управления релизами продуктов компании и интеграция с CI/CD пайплайнами.
    """

class ServiceEngineer(AbstractJob):
    position="Ведущий сервисный инженер"
    duties=f"""
        - Внедрение продуктов компании
        - Разработка интеграционных решений
        - Проектирование отказоустойчивых архитектур под высокие нагрузки 
          (кластер и балансировка - nginx, haproxy,Redis,rabbitmq)
        - Мониторинг на стэке TICK (Influxdata) Telegraf ,influxdb,Grafana. Алертинг через telegram бота.
        - Сборка тестовых и демонстрационных решений для клиентов в docker
        - Разработка тестовых и вспомогательных утилит для сбора датасета с камер (Astra Pro S и Axis)
    """